import request from "@/utils/request";

// 工程监理--监理项目信息列表
export function apiSupervisionProjectLists(params: any) {
  return request.get({
    url: "/supervision_project.supervision_project/lists",
    params,
  });
}

// 添加工程监理--监理项目信息
export function apiSupervisionProjectAdd(params: any) {
  return request.post({
    url: "/supervision_project.supervision_project/add",
    params,
  });
}

// 编辑工程监理--监理项目信息
export function apiSupervisionProjectEdit(params: any) {
  return request.post({
    url: "/supervision_project.supervision_project/edit",
    params,
  });
}

// 删除工程监理--监理项目信息
export function apiSupervisionProjectDelete(params: any) {
  return request.post({
    url: "/supervision_project.supervision_project/delete",
    params,
  });
}

// 工程监理--监理项目信息详情
export function apiSupervisionProjectDetail(params: any) {
  return request.get({
    url: "/supervision_project.supervision_project/detail",
    params,
  });
}

export function apiSupervisionProjectSearch(params: any) {
  return request.get({
    url: "/supervision_project.supervision_project/datas",
    params,
  });
}
